Skip to content

Initiate enablement of international payments

POST
/onboarding/enable-international-payments
Code sample: Shell / cURL
curl --request POST \
--url https://welcome.ztlpay.io/onboarding/enable-international-payments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "country": "SE", "organizationNumber": "5569994600", "redirectUrl": "https://example.org" }'

Starts the enablement flow for international payments for an existing company and returns the frontend URL for the form.

Media typeapplication/json
object
country
required

Country code for the company

string
Example
SE
organizationNumber
required

Organization number for the company

string
Example
5569994600
redirectUrl

The user is redirected to this URL after the enablement flow has completed as well as if they cancel the process. Must start with a protocol (HTTP/HTTPS).

string
Example
https://example.org

Enablement flow started successfully

Media typeapplication/json
object
url
required

URL for the international payments enablement form

string format: url
Example
{
"url": "https://welcome.sandbox.ztlpay-test.io/onboarding/companies/941d1877-73b8-45bf-8c65-47233b58926a/enable-international-payments/company-information"
}
ztl-request-id
string format: uuid

Unique RequestId, please provide this Id in case of support requests

Example
3a797348-ef0c-4f52-b821-fdfcdb98c4d9

Bad request

Media typeapplication/json
object
ztlRequestId
required

Unique RequestId, please provide this Id in case of support requests

string format: uuid
message
required

The underlying reason for the error

string
Example
{
"ztlRequestId": "3a797348-ef0c-4f52-b821-fdfcdb98c4d9",
"message": "Invalid account"
}
ztl-request-id
string format: uuid

Unique RequestId, please provide this Id in case of support requests

Example
3a797348-ef0c-4f52-b821-fdfcdb98c4d9

Forbidden

Media typeapplication/json
object
ztlRequestId
required

Unique RequestId, please provide this Id in case of support requests

string format: uuid
message
required

The underlying reason for the error

string
Example
{
"ztlRequestId": "3a797348-ef0c-4f52-b821-fdfcdb98c4d9",
"message": "Invalid account"
}
ztl-request-id
string format: uuid

Unique RequestId, please provide this Id in case of support requests

Example
3a797348-ef0c-4f52-b821-fdfcdb98c4d9

Not found

Internal server error

Media typeapplication/json
object
ztlRequestId
required

Unique RequestId, please provide this Id in case of support requests

string format: uuid
message
required

The underlying reason for the error

string
Example
{
"ztlRequestId": "3a797348-ef0c-4f52-b821-fdfcdb98c4d9",
"message": "Invalid account"
}
ztl-request-id
string format: uuid

Unique RequestId, please provide this Id in case of support requests

Example
3a797348-ef0c-4f52-b821-fdfcdb98c4d9

Service unavailable

Media typeapplication/json
object
ztlRequestId
required

Unique RequestId, please provide this Id in case of support requests

string format: uuid
message
required

The underlying reason for the error

string
Example
{
"ztlRequestId": "3a797348-ef0c-4f52-b821-fdfcdb98c4d9",
"message": "Invalid account"
}
ztl-request-id
string format: uuid

Unique RequestId, please provide this Id in case of support requests

Example
3a797348-ef0c-4f52-b821-fdfcdb98c4d9